import { ProjectDTO } from './project-dto.model';
import { MetadataFileDTO } from './metadata-file-dto.model';
import { UserProvidedMetadataDTO } from './user-provided-metadata-dto.model';

export interface SearchResultDTO {
  exerciseId: string;
  project: ProjectDTO;
  file: MetadataFileDTO;
  metadata: UserProvidedMetadataDTO;
  ranking5: number;
  supportedActions: PluginActionInfo[];
  views: number;
  downloads: number;
}

export interface PluginActionInfo {
  plugin: string;
  action: string;
  commandName: string;
}

export function equalPluginActionInfo(a: PluginActionInfo, b: PluginActionInfo) {
  return a.action === b.action && a.commandName === b.commandName && a.plugin === b.plugin;
}
